﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_FeeReceipt
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {
            $("#PayAmt").attr('readonly', 'true');
            $("#PayAmt1").attr('readonly', 'true');
            $("#Remarks2").attr('readonly', 'true');
            $("#Remarks3").attr('readonly', 'true');

            $("#FeeDate").datepicker();

            $("#DurationOfExp").datepicker();
            $("#DueDate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/TbFeeReceipt/Index";
            });

            // GetCourseForstudent($("#combobox").val());


            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
            var stuid = $("#combobox").val();
            GetCourseForstudent(stuid);

            var idCourse = $("#courseidhidden").val();
            GetPackage(idCourse);






        });

        $(function () {

            $("#combobox").combobox({

                selected: function (event, ui) {
                    $("#courseidhidden").val("");
                    $("#packid").val("");
                    $("#btnsave").hide();
                    GetCourseForstudent($(this).val());

                }
            });

        });

        function GetCourseForstudent(myval) {


            var idCourse = myval;
            $.getJSON("/TbFeeReceipt/LoadPackageByCourse", { id: idCourse },
   function (modelData) {

       var select = $("#CourseId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Course"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
           $("#CourseId").val($("#courseidhidden").val());
       });
   });



        }









        function showadmin() {
            //redirects the page to maadmission detail when user clicks on "view" link right to combobox

            $("#admdetail").attr('href', '/MaAdmission/Details/' + $("#combobox").val());
        }









    </script>
    <script type="text/javascript">

        $("#CourseId").change(function () {

            $("#btnsave").hide();

            $("#courseidhidden").val("");
            $("#packid").val("");

            var idCourse = $(this).val();
            GetPackage(idCourse);

            var stuid = $("#combobox").val();
            Getgroup(idCourse, stuid);

        });


        function GetPackage(idCourse) {
            var stuid = $("#combobox").val();

            $.getJSON("/TbFeeReceipt/LoadPackageBypackages", { id: idCourse, stuid: stuid },
   function (modelData) {

       var select = $("#PackageId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Package"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
           $("#PackageId").val($("#packid").val());
       });
   });
        }




        function Getgroup(idCourse, stuid) {

            $.getJSON("/TbFeeReceipt/GetGroupName", { id: idCourse, stu: stuid }, function (modelData) {

                $.each(modelData, function (index, itemData) {
                    if (itemData.Value == "GRAMMARS" || itemData.Value == "ENDEAVOURS") {
                        itemData.Value = itemData.Value.replace("S", "");
                    }

                    $("#GroupName").val(itemData.Value);

                });
            });



        }



    </script>
    <script type="text/javascript">

        $("#PackageId").change(function () {

            // alert("i m called");
            $("#btnsave").hide();
            getnextduedate();
        });


    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#DiscountId").css("width", '80px')


            $("#btnsave").attr('disabled', true);

            $("#btnsave").hide();

            $(":text").css('width', '190px');

        });

        $("#PaidAmount").focus(function () {

            $("#btnsave").attr('disabled', true);
        });

        $("#PaidAmount").blur(function () {


            amountcalculation();
            $("#btnsave").show();
            $("#btnsave").removeAttr('disabled');

        });
        $("#Discount").blur(function () {

            amountcalculation();
            $("#btnsave").show();
            $("#btnsave").removeAttr('disabled');
        });

        $("#DiscountId").change(function () {

            if ($("#DiscountId option:selected").text() == "Select") {

                //                var discount = $("#Discount").val('0.0');
                //                $("#BalanceAmount").val('0.0');


            }
            else {

                amountcalculation();
            }
        });


        function amountcalculation() {
            var feeamount = $("#FeeAmount").val();
            if (feeamount == "") {
                fee = 0.0
            }

            var paidamount = $("#PaidAmount").val();
            if (paidamount == "") {
                paidamount = 0.0;

            }

            var d = $("#Discount").val();
            if (d == "") {

                d = 0.0;
            }

            var paid = parseFloat(paidamount);
            //            $("#DiscountId option:selected").text();
            if ($("#DiscountId").val() != "Select") {
                var Discountpercet = $("#DiscountId option:selected").val(); //get discount percentage value.



                var dicounttotal = parseFloat(feeamount * parseFloat(Discountpercet) / 100);

                $("#Discount").val(dicounttotal);


                var discountperce = $("#Discount").val(); //get discount textbox value

                var afterdisfeeamount = parseFloat(parseFloat(feeamount) - parseFloat(discountperce)); //less discount from fee amount.


                TotbalAmt = parseFloat(afterdisfeeamount) - parseFloat(paid); //reduce the balance with feeamount

                $("#BalanceAmount").val(TotbalAmt);
                if (TotbalAmt != "0") {

                    $("#duedate").val($("#viewbagday").val().replace("12:00:00 AM", ""));
                    $("#DueDate").val($("#viewbagday").val());
                    // getnextdate(); //gets the next day
                }
                else {

                    $("#duedate").val($("#viewbagdate").val().replace("12:00:00 AM", ""));
                    $("#DueDate").val($("#viewbagdate").val());
                    // getnextduedate(); //gets next date
                }


                $("#hiddenbalance").val(TotbalAmt);
                checkAmt();
            }

            else {

                $("#Discount").val();


                var disval = $("#Discount").val()
                if (disval == "") {
                    disval = 0.0;
                }
                // alert(disval);

                var dicwitperfeeamt = parseFloat(feeamount - parseFloat(disval));



                var afterdisfeeamount = parseFloat(parseFloat(dicwitperfeeamt) - parseFloat(paid));

                // alert(afterdisfeeamount);

                $("#BalanceAmount").val(afterdisfeeamount);
                $("#hiddenbalance").val(afterdisfeeamount);


                if (afterdisfeeamount != "0") {
                    //  getnextdate(); //gets the next day

                    $("#duedate").val($("#viewbagday").val().replace("12:00:00 AM", ""));
                    $("#DueDate").val($("#viewbagday").val());
                }
                else {


                    $("#duedate").val($("#viewbagdate").val().replace("12:00:00 AM", ""));
                    $("#DueDate").val($("#viewbagdate").val());

                    //   getnextduedate(); //gets next date
                }

                //                alert(balance);
                //                var discount = parseFloat(feeamount) - parseFloat(balance);

                //                $("#BalanceAmount").val(discount);
                checkAmt();

            }



        }

        function getnextdate() {  //get next day if partial payment is made
            var airurl = "/TbFeeReceipt/Getnextdate";
            $.getJSON(airurl,
   function (modelData) {




       $("#nxtday").val(modelData['NextDayDate']);
       $("#duedate").val(modelData['NextDayDate']);
       //       alert(modelData['NextDayDate']);
       $("#DueDate").val($('#duedate').val());


   });
        }



        function getnextduedate() {//get next date if full payment is made

            var airurl = "/TbFeeReceipt/GetInstallmentNo";

            var packageid = $("#PackageId").val();
            var studid = $("#combobox").val();
            var courehist = $("#CourseId").val();
            $.getJSON(airurl, { id: packageid, stdid: studid, coursehistid: courehist },
   function (modelData) {



       $("#FeeAmount").val(modelData['installmentamount']);
       $("#installmentno").val(modelData['installmentno']);
       $("#InstallmentNoId").val(modelData['id']);
       $("#nxtmonth").val(modelData['NextMonthDate']);
       $("#nxtday").val(modelData['NextDayDate']);
       $("#duedate").val(modelData['NextDayDate']);
       //       alert(modelData['NextDayDate']);
       $("#DueDate").val($('#duedate').val());

       $("#GroupName").val(modelData['GroupName']);
       if (modelData['doj'] == "fee finished") {
           alert("Complete Fee Is Paid");
           $("#btnsave").hide();
       }
       else {
           $("#doj").val(modelData['doj']);
           $("#btnsave").show();
       }
   });
        }

    </script>
    <script>
        function CalcTotal()
        {
            var Amout = $("#CashAmt").val();
            if (Amout =="") {
                Amout = 0.0;
            }
            var PAmt = $("#PayAmt").val();
            if (PAmt=="") {
                PAmt = 0.0;
            }
            var PAmt1 = $("#PayAmt1").val();
            if (PAmt1=="") {
                PAmt1 = 0.0;
               
            }
            var totamt = parseFloat(Amout) + parseFloat(PAmt) + parseFloat(PAmt1)
            $("#PaidAmount").val(totamt);
        }
    </script>
<script>
        function checkAmt() {
            var FeeAmt = parseFloat($("#FeeAmount").val());
            var PaidAmt = parseFloat($("#PaidAmount").val());
            if (PaidAmt > FeeAmt) {
                $("#btnsave").attr('disabled', true);
                alert("Receive Amount must be less than or Equal to Due Amount")
            }
            else {
                $("#btnsave").removeAttr('disabled');
            }
        }
</script>


<script>
        $("#CashAmt").blur(function () {
            CalcTotal();
            amountcalculation();

        })
        $("#PayAmt").blur(function () {

          
            CalcTotal();
            amountcalculation();
        })
        $("#PayAmt1").blur(function () {
            CalcTotal();
            amountcalculation();
        })

</script>
<script>
        $("#PayMode").change(function () {
            var p1 = $("#PayMode").val();
            if (p1!="Select" && p1!="") {
                $("#PayAmt").removeAttr('readonly', 'true');
                $("#Remarks2").removeAttr('readonly', 'true');
            }
            else {
                $("#PayAmt").attr('readonly', 'true');
                $("#Remarks2").attr('readonly', 'true');
            }
        })
        $("#PayMode1").change(function () {
            var p1 = $("#PayMode1").val();
            if (p1 != "Select" && p1 != "") {
                $("#PayAmt1").removeAttr('readonly', 'true');
                $("#Remarks3").removeAttr('readonly', 'true');
            }
            else {
                $("#PayAmt1").attr('readonly', 'true');
                $("#Remarks3").attr('readonly', 'true');
            }
        })
</script>

}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Receipt
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
            SSCWebDBEntities1 db = new SSCWebDBEntities1();
            <div class="container-fluid">
                <div class="row-fluid">
                    <div class="btn-toolbar">
                        <input type="submit" value="Update" class="btn btn-primary" id="btnsave" />
                        <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                        <div class="btn-group">
                        </div>
                    </div>
                    <div class="well">
                        <div id="myTabContent" class="tab-content">
                            <div class="tab-pane active in" id="home">
                                <form id="tab">
                                    @*    <table width="300px" align="right">
                                            <tr>
                                                <td align="right">

                                                    @Html.ActionLink("See Admission", "Details", "MaAdmission", new { id = Model.StudentId }, new { target = "_blank" })
                                                </td>

                                            </tr>

                                        </table>*@
                                    <table style="width: 850px" align="center">
                                        <tr>
                                            <td>
                                                <fieldset>
                                                    <legend>Receipt</legend>
                                                    <input type="hidden" id="courseidhidden" value="@Model.Tb_Installment.Tb_CourseHist.Id" />
                                                    @Html.HiddenFor(model => model.BranchId)
                                                    @Html.HiddenFor(model => model.CounselorId)
                                                    @Html.HiddenFor(model => model.PayMode2)
                                                    <table style="width: 100%">
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.ReceiptNo)
                                                            </td>
                                                            <td style="vertical-align: top">
                                                                @Html.DisplayFor(model => model.ReceiptNo)
                                                                @Html.HiddenFor(model => model.ReceiptNo)
                                                            </td>
                                                            @{
                                                                var fedate = Model.FeeDate.Value.AddMinutes(StaticLogic.TimeDifference).ToShortDateString();

                                                            }
                                                            <td>
                                                                @Html.LabelFor(model => model.FeeDate)
                                                            </td>
                                                            <td style="vertical-align: top">

                                                                @{
                                                                    string usrtype = Request.Cookies[CommonUtil.CookieUsertype].Value;
                                                                    if (usrtype == CommonUtil.UserTypeAdmin || usrtype == CommonUtil.UserTypeSuperAdmin)
                                                                    {
                                                                        @Html.TextBox("FeeDate", @fedate)
                                                                    }
                                                                    else
                                                                    {
                                                                        @Html.TextBox("FeeDate", fedate, new { @disabled = "disabled" })
                                                                        <input type="hidden" name="hdnfeedate" id="hdnfeedate" value="@fedate" />
                                                                    }
                                                                }


                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.StudentId, "Student")
                                                            </td>
                                                            <td align="left">
                                                                <table align="left" width="100%">
                                                                    <tr>
                                                                        <td>
                                                                            @Html.DropDownList("StudentId", null, new { @id = "combobox" })
                                                                            @Html.ValidationMessageFor(model => model.StudentId)
                                                                        </td>
                                                                        <td align="left">
                                                                            <a href="#" target="_blank" id="admdetail" onclick="showadmin();">View</a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                            <td>
                                                                @Html.LabelFor(model => model.CounselorId)
                                                            </td>
                                                            <td>
                                                                @ViewBag.Counselor
                                                                @Html.ValidationMessageFor(model => model.CounselorId)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.CourseId, "Course")
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("CourseId", "Select")
                                                                @Html.ValidationMessageFor(model => model.CourseId)
                                                            </td>
                                                            @*<td style="vertical-align: top">
                                                                @Html.LabelFor(model => model.Remarks)
                                                            </td>
                                                            <td>
                                                                @Html.EditorFor(model => model.Remarks)
                                                                @Html.ValidationMessageFor(model => model.Remarks)
                                                            </td>*@
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.GroupName)
                                                            </td>
                                                            <td>
                                                                @Html.EditorFor(model => model.GroupName)
                                                                @Html.ValidationMessageFor(model => model.GroupName)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.LabelFor(model => model.PackageId, "Package")
                                                            </td>
                                                            <td>
                                                                @Html.DropDownList("PackageId", "Select")
                                                                @Html.ValidationMessageFor(model => model.PackageId)
                                                                <input type="hidden" id="packid" value="@Model.PackageId" />
                                                            </td>
                                                            <td>
                                                                @Html.LabelFor(model => model.FeeAmount)
                                                            </td>
                                                            <td>
                                                                @Html.EditorFor(model => model.FeeAmount)
                                                                @Html.ValidationMessageFor(model => model.FeeAmount)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            @{
                                                                var installmeno = ViewBag.InstallmentNo;

                                                            }
                                                            <td>
                                                                @Html.LabelFor(model => model.InstallmentNoId, "Instalment No")
                                                            </td>
                                                            <td>
                                                                @*<input type="text" id="installmentno"  />*@
                                                                @Html.EditorFor(model => @installmeno)
                                                                @Html.HiddenFor(model => model.InstallmentNoId)
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>
                                                <br />
                                            </td>
                                        </tr>
                                    </table>
                                    <table style="width: 1000px" align="center">
                                        <tr>
                                            <td>
                                                <fieldset>
                                                    <legend>Payment Detail</legend>
                                                    <table style="width: 100%">
                                                        <tr>
                                                            <th>
                                                                Payment Mode
                                                            </th>
                                                            <th>
                                                                Amount
                                                            </th>
                                                            <th>Remarks</th>
                                                        </tr>
                                                        <tr>
                                                            <td align="center">
                                                           <b>Cash</b>     <img src="~/Images/Rs.png" height="20px" width="20px" />
                                                            </td>
                                                            <td>
                                                                @Html.TextBoxFor(model => model.CashAmt, new { @placeholder = "Amount" ,@required = "true" })
                                                            </td>
                                                            <td>@Html.TextAreaFor(model => model.Remarks1, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.DropDownList("PayMode", ViewBag.val as SelectList,"Select")
                                                            </td>
                                                            <td>@Html.TextBoxFor(model => model.PayAmt, new { @placeholder = "Amount" })</td>
                                                            <td>@Html.TextAreaFor(model => model.Remarks2, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @Html.DropDownList("PayMode1", ViewBag.val as SelectList,"Select")
                                                            </td>
                                                            <td>@Html.TextBoxFor(model => model.PayAmt1, new { @placeholder = "Amount" })</td>
                                                            <td>@Html.TextAreaFor(model => model.Remarks2, new { @rows = "2", @placeholder = "Remarks", @maxlength = "299" }) </td>
                                                        </tr>
                                                    </table>
                                                </fieldset>
                                                <br />
                                            </td>
                                        </tr>
                                    </table>


                                    <table align="right">
                                        <tr>
                                            <td valign="top">
                                                <table align="right">
                                                    <tr>
                                                        <td></td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span style="color: Red; font-size: 12px; font-weight: bold">
                                                                (Press Tab For Next Due Date
                                                                & Save)
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><br /></td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <span style="color: Red; font-size: 12px; font-weight: bold">
                                                                (Press Tab For Next Due Date
                                                                & Save)
                                                            </span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td>
                                                <table align="right" style="width: 600px">
                                                    <tr>
                                                        <td>
                                                            <table>
                                                                <tr>
                                                                    @*@Html.HiddenFor(model => model.Discount)*@
                                                                    <td>
                                                                        @Html.LabelFor(model => model.Discount, "Discount(%)")
                                                                    </td>
                                                                    <td>
                                                                        @*@Html.DropDownList("DiscountId", "Select")*@
                                                                        <input type="hidden" id="DiscountId" name="DiscountId" value="Select" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                        <td>
                                                            @* @Html.TextBoxFor(model => model.Discount, new {@id="newdiscountid" })*@
                                                            @Html.EditorFor(model => model.Discount)

                                                            @Html.ValidationMessageFor(model => model.Discount)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            @Html.LabelFor(model => model.PaidAmount)
                                                        </td>
                                                        <td>
                                                            @Html.EditorFor(model => model.PaidAmount)

                                                            @Html.ValidationMessageFor(model => model.PaidAmount)
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            @Html.LabelFor(model => model.BalanceAmount)
                                                        </td>
                                                        <td>
                                                            @Html.TextBoxFor(model => model.BalanceAmount, new { @disabled = "disabled" })
                                                            @Html.ValidationMessageFor(model => model.BalanceAmount)
                                                            @Html.HiddenFor(model => model.BalanceAmount, new { @id = "hiddenbalance" })
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            DOJ
                                                        </td>
                                                        <td>
                                                            <input type="text" disabled="disabled" id="doj" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Course Completion Date
                                                        </td>
                                                        <td>
                                                            <input type="text" disabled="disabled" id="duedate" value="@Model.DueDate.Value.ToShortDateString()" />
                                                            @Html.HiddenFor(model => model.DueDate)
                                                            @*     <input type="hidden" id="nxtmonth" />
                                                                <input type="hidden" id="nxtday" />*@
                                                            <input type="hidden" id="viewbagday" value="@ViewBag.NextDay" />
                                                            <input type="hidden" id="viewbagdate" value="@ViewBag.NextDueDate" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </form>
                            </div>
                            <div class="tab-pane fade" id="profile">
                                <form id="tab2">
                                    <label>
                                        New Password
                                    </label>
                                    <input type="password" class="input-xlarge">
                                    <div>
                                        <button class="btn btn-primary">
                                            Update
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <footer>
                        <hr>

                        <p class="pull-right">
                            <a href="#" target="_blank">

                                @Html.ActionLink("Back to List", "Index")

                            </a><a href="#" target="_blank"></a>
                        </p>



                    </footer>
                </div>
            </div>

                                                                }
<div>
</div>
